Skip to content

April API (3.0)

Download OpenAPI description
Languages
Servers
Sandbox
https://api.sandbox.au.meetapril.io
Production
https://api.au.meetapril.io

Authentication

These endpoints provide various methods for authenticating users from a backend service.

  • POST /auth/signin Sign-in from a backend service on behalf of a consumer customer (B2C) or customer delegate (B2B)
Operations

Customers

A person or business purchasing goods or services from a merchant using Spenda to facilitate the payment. Customers are defined at the merchant level, so if an individual makes payments with multiple merchants, they will have a customer record for each of these merchants.

Spenda supports two broad categories of customers:

Consumer customers are individuals typically making purchases from the merchant via e-commerce websites. They are uniquely identified by emailAddress for a given merchant.

Organisation customers represent businesses wishing to make purchases from the merchant. They are uniquely identified by referenceCustomerId for a given merchant.

Operations

Merchants

A business or individual that uses Spenda to facilitate payments for their customers.

Operations

Payment sources

A payment source represents a reusable source of funds to use for payments.

Operations

Payment tokens

A payment token represents a single use reference to a source of funds that can be used to pay for an order.

Operations

Pay plans

A pay plan represents a payment where the Spenda platform has extended a loan to make a purchase that the customer pays back over one or more instalments.

  • POST /payplans/offer Create a pay plan offer for a registered and KYC'd merchant customer
  • GET /payplans Return a paginated list of matching pay plans
  • POST /payplans Create a pay plan and payment token from a successful pay plan offer
  • GET /payplans/{payPlanId} Return details of a pay plan
  • POST /payplans/max Return the maximum loan amount the given customer is currently eligible for
  • POST /payplans/parameters Calculate the pay plan parameters for the given amount and list of variants
Operations

Orders

An order captures the details of the goods or services that the customer is purchasing from the merchant.

Operations

Simulation

Sandbox only endpoints for simulating external events such as a bank transfer.

  • POST /simulation Sandbox only endpoint to simulate external events such as a bank transfer being performed
Operations

Transactions

A transaction is a payment from the perspective of a merchant. The transaction shows how much the merchant will be paid, if they have been paid already and whether there have been any refunds.

Operations

Get Transaction

Request

Return details of a transaction.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Path
transactionIdstringrequired
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/{transactionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
purchaseDetailsobject(PurchaseDetails)required
purchaseDetails.​orderIdstringrequired

System unique identifier for the order.

purchaseDetails.​merchantIdstringrequired

System unique identifier for the merchant the order was created for.

purchaseDetails.​referenceOrderIdstringrequired

A reference provided by the merchant to identify this order, such as an order number.

purchaseDetails.​amountobject(CurrencyAmount)required

The order amount including any surcharge passed on to the customer.

purchaseDetails.​amount.​minorCurrencyUnitsinteger(int64)required

The amount in minor currency units (e.g. cents for AUD).

purchaseDetails.​amount.​currencystringrequired

The currency of the given amount as a 3 letter ISO code.

purchaseDetails.​surchargeAmountinteger(int64)required

The amount in minor currency units that was surcharged to the customer.

purchaseDetails.​refundedAmountinteger(int64)required

The amount in minor currency units that has been refunded to the customer.

purchaseDetails.​merchantNamestringrequired

Business name of the merchant the order is associated with.

purchaseDetails.​transactionIdstringrequired

System unique identifier for the transaction representing this payment.

purchaseDetails.​referenceTransactionIdstring

A reference provided by the merchant to identify this transaction.

purchaseDetails.​orderTypestring(OrderType)required
Enum"online""paybylink""invoice"
purchaseDetails.​payTypestring(PayType1)required
Enum"PayPlan""PayInFull"
purchaseDetails.​descriptionstring

A free text description of the order.

purchaseDetails.​orderMetadataobject(JsonObject)

Metadata passed in when creating the order.

purchaseDetails.​statusstring(TransactionStatus)required

These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.

Note: our dashboards in most cases map these statuses to different values, but only for display purposes.

  • accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
  • paid - This payment is successful and funds have been collected.
  • pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
  • refunded - A full refund has been initiated on this payment.
  • partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
  • failed - The attempt to collect funds from the payment method was not successful.
  • cancelled - This payment has been cancelled.
  • disputed - At least one charge on the payment method has been disputed.
  • not_captured - The payment method has been authorised but funds are not yet captured.
  • incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
Enum"accepted""paid""refunded""partially_refunded""pending""failed""cancelled""disputed""not_captured""incomplete"
purchaseDetails.​refundIdsArray of strings

A list of refund system unique identifiers issued against this transaction.

purchaseDetails.​disputeIdsArray of strings

System unique identifiers for any disputes raised against this transaction.

purchaseDetails.​paidOnstring(date)

The day the payment was settled with the merchant. Only set after a successful payout.

purchaseDetails.​availableOnstring(date)

The day this payment will be available for payout to the merchant.

purchaseDetails.​parentTransactionIdParentAcquiringTransactionId (object) or ParentIssuingTransactionId (object)(ParentTransactionId)
One of:

If linked to a another transaction, this can be set here.

purchaseDetails.​referenceIssuerTransactionIdstring

If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId

purchaseDetails.​createdAtstring(date-time)required
purchaseDetails.​updatedAtstring(date-time)required
purchaseDetails.​disputeIdstringDeprecated

System unique identifier for a dispute raised against this transaction, if any.

paymentMethodCardPaymentMethod (object) or DirectDebitPaymentMethod (object) or PayToPaymentMethod (object)(TransactionPaymentMethod)
One of:
serviceFeesobject(ServiceFees)

Restricted field - only included if caller has access.

customerDetailsobject(CustomerDetails)
timelinesArray of objects(TransactionTimeLine)
Response
application/json
{ "purchaseDetails": { "orderId": "ordr_aZ-9UfKvllCPqGsd", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "referenceOrderId": "ORD-12411", "amount": {}, "surchargeAmount": 0, "refundedAmount": 0, "merchantName": "string", "transactionId": "tran_aZ-9UfKvllCPqGsc", "referenceTransactionId": "string", "orderType": "online", "payType": "PayPlan", "description": "string", "orderMetadata": {}, "status": "accepted", "refundIds": [], "disputeId": "dispute_aZ-9UfKvllCPqGsg", "disputeIds": [], "paidOn": "2019-08-24", "availableOn": "2019-08-24", "parentTransactionId": {}, "referenceIssuerTransactionId": "itxn_aZ-9U_KvllCPqGsv", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": {}, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "serviceFees": { "variableAmount": 0, "fixedAmount": 0, "taxAmount": 0, "totalAmount": 0 }, "customerDetails": { "customerId": "cust_aZ-9UfKvllCPqGsa", "referenceCustomerId": "CUST-48822821", "customerName": "string", "customerEmailAddress": "lucy.diamond@star.com", "customerPhoneNumber": "+61401234567" }, "timelines": [ {} ] }

Update Transaction

Request

Various actions for updating a transaction such as issuing a refund.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Path
transactionIdstringrequired
Bodyapplication/jsonrequired
One of:
CancelAuthorisationobject(CancelAuthorisation1)required

Cancels a pre-authorised transaction.

curl -i -X PATCH \
  'https://api.sandbox.au.meetapril.io/transactions/{transactionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "CancelAuthorisation": {}
  }'

Responses

Bodyapplication/json
purchaseDetailsobject(PurchaseDetails)required
purchaseDetails.​orderIdstringrequired

System unique identifier for the order.

purchaseDetails.​merchantIdstringrequired

System unique identifier for the merchant the order was created for.

purchaseDetails.​referenceOrderIdstringrequired

A reference provided by the merchant to identify this order, such as an order number.

purchaseDetails.​amountobject(CurrencyAmount)required

The order amount including any surcharge passed on to the customer.

purchaseDetails.​amount.​minorCurrencyUnitsinteger(int64)required

The amount in minor currency units (e.g. cents for AUD).

purchaseDetails.​amount.​currencystringrequired

The currency of the given amount as a 3 letter ISO code.

purchaseDetails.​surchargeAmountinteger(int64)required

The amount in minor currency units that was surcharged to the customer.

purchaseDetails.​refundedAmountinteger(int64)required

The amount in minor currency units that has been refunded to the customer.

purchaseDetails.​merchantNamestringrequired

Business name of the merchant the order is associated with.

purchaseDetails.​transactionIdstringrequired

System unique identifier for the transaction representing this payment.

purchaseDetails.​referenceTransactionIdstring

A reference provided by the merchant to identify this transaction.

purchaseDetails.​orderTypestring(OrderType)required
Enum"online""paybylink""invoice"
purchaseDetails.​payTypestring(PayType1)required
Enum"PayPlan""PayInFull"
purchaseDetails.​descriptionstring

A free text description of the order.

purchaseDetails.​orderMetadataobject(JsonObject)

Metadata passed in when creating the order.

purchaseDetails.​statusstring(TransactionStatus)required

These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.

Note: our dashboards in most cases map these statuses to different values, but only for display purposes.

  • accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
  • paid - This payment is successful and funds have been collected.
  • pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
  • refunded - A full refund has been initiated on this payment.
  • partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
  • failed - The attempt to collect funds from the payment method was not successful.
  • cancelled - This payment has been cancelled.
  • disputed - At least one charge on the payment method has been disputed.
  • not_captured - The payment method has been authorised but funds are not yet captured.
  • incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
Enum"accepted""paid""refunded""partially_refunded""pending""failed""cancelled""disputed""not_captured""incomplete"
purchaseDetails.​refundIdsArray of strings

A list of refund system unique identifiers issued against this transaction.

purchaseDetails.​disputeIdsArray of strings

System unique identifiers for any disputes raised against this transaction.

purchaseDetails.​paidOnstring(date)

The day the payment was settled with the merchant. Only set after a successful payout.

purchaseDetails.​availableOnstring(date)

The day this payment will be available for payout to the merchant.

purchaseDetails.​parentTransactionIdParentAcquiringTransactionId (object) or ParentIssuingTransactionId (object)(ParentTransactionId)
One of:

If linked to a another transaction, this can be set here.

purchaseDetails.​referenceIssuerTransactionIdstring

If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId

purchaseDetails.​createdAtstring(date-time)required
purchaseDetails.​updatedAtstring(date-time)required
purchaseDetails.​disputeIdstringDeprecated

System unique identifier for a dispute raised against this transaction, if any.

paymentMethodCardPaymentMethod (object) or DirectDebitPaymentMethod (object) or PayToPaymentMethod (object)(TransactionPaymentMethod)
One of:
serviceFeesobject(ServiceFees)

Restricted field - only included if caller has access.

customerDetailsobject(CustomerDetails)
timelinesArray of objects(TransactionTimeLine)
Response
application/json
{ "purchaseDetails": { "orderId": "ordr_aZ-9UfKvllCPqGsd", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "referenceOrderId": "ORD-12411", "amount": {}, "surchargeAmount": 0, "refundedAmount": 0, "merchantName": "string", "transactionId": "tran_aZ-9UfKvllCPqGsc", "referenceTransactionId": "string", "orderType": "online", "payType": "PayPlan", "description": "string", "orderMetadata": {}, "status": "accepted", "refundIds": [], "disputeId": "dispute_aZ-9UfKvllCPqGsg", "disputeIds": [], "paidOn": "2019-08-24", "availableOn": "2019-08-24", "parentTransactionId": {}, "referenceIssuerTransactionId": "itxn_aZ-9U_KvllCPqGsv", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": {}, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "serviceFees": { "variableAmount": 0, "fixedAmount": 0, "taxAmount": 0, "totalAmount": 0 }, "customerDetails": { "customerId": "cust_aZ-9UfKvllCPqGsa", "referenceCustomerId": "CUST-48822821", "customerName": "string", "customerEmailAddress": "lucy.diamond@star.com", "customerPhoneNumber": "+61401234567" }, "timelines": [ {} ] }

Query Transactions

Request

Return a paginated list of matching transactions.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT | Customer JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

createdAfterstring(date-time)

Return transactions that were created at or after this timestamp in ISO-8601 format

Example: createdAfter=2026-02-26T03:26:15.70155523Z
createdBeforestring(date-time)

Return transactions that were created at or before this timestamp in ISO-8601 format

amountinteger(int64)

Amount of the transaction

referenceTransactionIdArray of strings

Filter by reference transaction identifier

merchantIdArray of strings

Filter by merchant identifier

customerIdArray of strings

Filter by customer identifier

parentAcquiringTransactionIdArray of strings

Filter by the transaction's parent aquiring transaction identifier

parentIssuerTransactionIdArray of strings

Filter by the transaction's parent issuer transaction identifier

statusstring(TransactionStatus)

Filter by the status of the transaction

Enum"accepted""paid""refunded""partially_refunded""pending""failed""cancelled""disputed""not_captured""incomplete"
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions?limit=0&page=0&sort=string&createdAfter=2026-02-26T03%3A26%3A15.70155523Z&createdBefore=2019-08-24T14%3A15%3A22Z&amount=0&referenceTransactionId=string&merchantId=string&customerId=string&parentAcquiringTransactionId=string&parentIssuerTransactionId=string&status=accepted' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Matching items sorted as specified

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/jsonArray [
purchaseDetailsobject(PurchaseDetails)required
purchaseDetails.​orderIdstringrequired

System unique identifier for the order.

purchaseDetails.​merchantIdstringrequired

System unique identifier for the merchant the order was created for.

purchaseDetails.​referenceOrderIdstringrequired

A reference provided by the merchant to identify this order, such as an order number.

purchaseDetails.​amountobject(CurrencyAmount)required

The order amount including any surcharge passed on to the customer.

purchaseDetails.​amount.​minorCurrencyUnitsinteger(int64)required

The amount in minor currency units (e.g. cents for AUD).

purchaseDetails.​amount.​currencystringrequired

The currency of the given amount as a 3 letter ISO code.

purchaseDetails.​surchargeAmountinteger(int64)required

The amount in minor currency units that was surcharged to the customer.

purchaseDetails.​refundedAmountinteger(int64)required

The amount in minor currency units that has been refunded to the customer.

purchaseDetails.​merchantNamestringrequired

Business name of the merchant the order is associated with.

purchaseDetails.​transactionIdstringrequired

System unique identifier for the transaction representing this payment.

purchaseDetails.​referenceTransactionIdstring

A reference provided by the merchant to identify this transaction.

purchaseDetails.​orderTypestring(OrderType)required
Enum"online""paybylink""invoice"
purchaseDetails.​payTypestring(PayType1)required
Enum"PayPlan""PayInFull"
purchaseDetails.​descriptionstring

A free text description of the order.

purchaseDetails.​orderMetadataobject(JsonObject)

Metadata passed in when creating the order.

purchaseDetails.​statusstring(TransactionStatus)required

These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.

Note: our dashboards in most cases map these statuses to different values, but only for display purposes.

  • accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
  • paid - This payment is successful and funds have been collected.
  • pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
  • refunded - A full refund has been initiated on this payment.
  • partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
  • failed - The attempt to collect funds from the payment method was not successful.
  • cancelled - This payment has been cancelled.
  • disputed - At least one charge on the payment method has been disputed.
  • not_captured - The payment method has been authorised but funds are not yet captured.
  • incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
Enum"accepted""paid""refunded""partially_refunded""pending""failed""cancelled""disputed""not_captured""incomplete"
purchaseDetails.​refundIdsArray of strings

A list of refund system unique identifiers issued against this transaction.

purchaseDetails.​disputeIdsArray of strings

System unique identifiers for any disputes raised against this transaction.

purchaseDetails.​paidOnstring(date)

The day the payment was settled with the merchant. Only set after a successful payout.

purchaseDetails.​availableOnstring(date)

The day this payment will be available for payout to the merchant.

purchaseDetails.​parentTransactionIdParentAcquiringTransactionId (object) or ParentIssuingTransactionId (object)(ParentTransactionId)
One of:

If linked to a another transaction, this can be set here.

purchaseDetails.​referenceIssuerTransactionIdstring

If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId

purchaseDetails.​createdAtstring(date-time)required
purchaseDetails.​updatedAtstring(date-time)required
purchaseDetails.​disputeIdstringDeprecated

System unique identifier for a dispute raised against this transaction, if any.

paymentMethodCardPaymentMethod (object) or DirectDebitPaymentMethod (object) or PayToPaymentMethod (object)(TransactionPaymentMethod)
One of:
serviceFeesobject(ServiceFees)

Restricted field - only included if caller has access.

customerDetailsobject(CustomerDetails)
timelinesArray of objects(TransactionTimeLine)
]
Response
application/json
[ { "purchaseDetails": {}, "paymentMethod": {}, "serviceFees": {}, "customerDetails": {}, "timelines": [] } ]

Query Payout Summaries

Request

Return a paginated list of matching payout summaries.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

merchantIdstring

Merchant to show entries for

payoutIdArray of strings

Filter by payout system identifier.

referencePayoutIdArray of strings

Filter by reference payout id.

createdAfterstring(date-time)

Return payouts that were created at or after this timestamp in ISO-8601 format. Defaults to 30 days ago.

Example: createdAfter=2026-02-26T03:26:15.704156283Z
createdBeforestring(date-time)

Return payouts that were created at or before this timestamp in ISO-8601 format. Defaults to today. The total date range must be 180 days or less.

curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/payouts?limit=0&page=0&sort=string&merchantId=string&payoutId=string&referencePayoutId=string&createdAfter=2026-02-26T03%3A26%3A15.704156283Z&createdBefore=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Matching items sorted as specified

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/jsonArray [
payoutIdstringrequired

System unique identifier for the payout.

referencePayoutIdstring

Identifier for payout that merchants can use.

currencystringrequired

The currency of the payout as a 3 letter ISO code.

settlementDatestring(date)

The date the payout was settlement with the merchant.

merchantIdstringrequired

System unique identifier for the merchant issued the payout.

merchantBusinessNamestringrequired

Business name for the merchant issued the payout.

amountinteger(int64)required

The amount credited towards the payout in minor currency units

openingBalanceinteger(int64)required

The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.

closingBalanceinteger(int64)required

The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.

totalAmountinteger(int64)required

The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.

statusstring(PayoutStatus)required

Status of the invoice.

Enum"created""pending""paid""in_transit""canceled""failed""reversed""suspended"
bankAccountNumberstring

The bank account number the payout was sent to.

paymentChannelstring(PaymentChannel)

The payment channel to use for the payout.

Enum"direct_entry""npp"
statementDescriptorstring

Information about the payout that will appear on the customer's bank statement.

createdAtstring(date-time)required

When the payout was created.

]
Response
application/json
[ { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" } ]

Create Manual Payout

Request

Request to create a manual payout for a merchant. Merchants can only request manual payouts if they have a sufficient available balance. This call requires manual payouts to be enabled for the merchant.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Headers
Merchant-Idstring

Perform operation in the context of the given merchant. Usually not required — specify only if acting on behalf of a merchant not implied by the credentials specified in the Authorization header.

Bodyapplication/jsonrequired
currencystringrequired

The currency of the payout as a 3 letter ISO code. Currently foreign exchange is not supported. The currency must match the trading currency of the merchant.

payoutAmountinteger(int64)required

The amount credited towards the payout in minor currency units

externalAccountIdstring

System unique identifier for a bank account to credit. If not specified, the merchant's primary bank account will be used.

statementDescriptorstringrequired

Information about the payout that will appear on the customer's bank statement.

paymentChannelsArray of strings(PaymentChannel)

The payment channels to use for the payout. If more than one is specified, they will be attempted in the order given.

Items Enum"direct_entry""npp"
feePayingMerchantIdstring

System unique identifier for the merchant to charge the payout fee to. The merchant receiving the payout is used by default.

curl -i -X POST \
  https://api.sandbox.au.meetapril.io/transactions/payouts \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Merchant-Id: string' \
  -d '{
    "currency": "AUD",
    "payoutAmount": 0,
    "externalAccountId": "xacc_aZ-9U_KvllCPqGst",
    "statementDescriptor": "string",
    "paymentChannels": [
      "direct_entry"
    ],
    "feePayingMerchantId": "mcht_aZ-9UfKvllCPqGsZ"
  }'

Responses

Bodyapplication/json
payoutIdstringrequired

System unique identifier for the payout.

referencePayoutIdstring

Identifier for payout that merchants can use.

currencystringrequired

The currency of the payout as a 3 letter ISO code.

settlementDatestring(date)

The date the payout was settlement with the merchant.

merchantIdstringrequired

System unique identifier for the merchant issued the payout.

merchantBusinessNamestringrequired

Business name for the merchant issued the payout.

amountinteger(int64)required

The amount credited towards the payout in minor currency units

openingBalanceinteger(int64)required

The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.

closingBalanceinteger(int64)required

The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.

totalAmountinteger(int64)required

The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.

statusstring(PayoutStatus)required

Status of the invoice.

Enum"created""pending""paid""in_transit""canceled""failed""reversed""suspended"
bankAccountNumberstring

The bank account number the payout was sent to.

paymentChannelstring(PaymentChannel)

The payment channel to use for the payout.

Enum"direct_entry""npp"
statementDescriptorstring

Information about the payout that will appear on the customer's bank statement.

createdAtstring(date-time)required

When the payout was created.

Response
application/json
{ "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" }

Get Payout Details

Request

Return an aggregated breakdown of the money movements included in the payout along with details of the disbursement itself.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Path
payoutIdstringrequired
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/payouts/{payoutId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
summaryobject(PayoutSummary)required

Basic summary of the payout, as you would get when querying payouts.

summary.​payoutIdstringrequired

System unique identifier for the payout.

summary.​referencePayoutIdstring

Identifier for payout that merchants can use.

summary.​currencystringrequired

The currency of the payout as a 3 letter ISO code.

summary.​settlementDatestring(date)

The date the payout was settlement with the merchant.

summary.​merchantIdstringrequired

System unique identifier for the merchant issued the payout.

summary.​merchantBusinessNamestringrequired

Business name for the merchant issued the payout.

summary.​amountinteger(int64)required

The amount credited towards the payout in minor currency units

summary.​openingBalanceinteger(int64)required

The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.

summary.​closingBalanceinteger(int64)required

The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.

summary.​totalAmountinteger(int64)required

The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.

summary.​statusstring(PayoutStatus)required

Status of the invoice.

Enum"created""pending""paid""in_transit""canceled""failed""reversed""suspended"
summary.​bankAccountNumberstring

The bank account number the payout was sent to.

summary.​paymentChannelstring(PaymentChannel)

The payment channel to use for the payout.

Enum"direct_entry""npp"
summary.​statementDescriptorstring

Information about the payout that will appear on the customer's bank statement.

summary.​createdAtstring(date-time)required

When the payout was created.

summaryLineItemsArray of objects(PayoutDetailLineItem)

A summary of the contents of the payout, including the number of transactions, refunds, and other items that make up the total amount.

accountDetailsobject(PayoutAccountDetails)

Bank account details for where the payout was sent.

Response
application/json
{ "summary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" }, "summaryLineItems": [ {} ], "accountDetails": { "accountId": "xacc_aZ-9U_KvllCPqGst", "accountName": "string", "bankName": "string", "identifier": {}, "currency": "AUD", "country": "string" } }

Query Merchant Invoices

Request

Return a paginated list of matching merchant invoices.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

merchantIdstring

Merchant to show entries for

statusArray of strings(MerchantInvoiceStatus)

Filter by invoice status

Items Enum"draft""outstanding""overdue""accepted""paid""cancelled"
issuedOnFromInclusivestring(date)

Return invoices that were issued at or after this date in ISO-8601 format.

Example: issuedOnFromInclusive=2026-02-26
issuedOnToInclusivestring(date)

Return invoices that were created at or before this timestamp in ISO-8601 format.

curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/invoices?limit=0&page=0&sort=string&merchantId=string&status=draft&issuedOnFromInclusive=2026-02-26&issuedOnToInclusive=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Matching items sorted as specified

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/jsonArray [
invoiceIdstringrequired

System unique identifier for the invoice.

invoiceReferencestringrequired

Unique reference for this invoice that can be included on manually generated payments.

currencystringrequired

The currency of the invoice as a 3 letter ISO code.

invoiceStartDatestring(date)required

The start of the date range included in the invoice.

invoiceEndDatestring(date)required

The end of the date range included in the invoice.

invoiceAmountinteger(int64)required

The invoice amount in minor currency units

paidAmountinteger(int64)required

The amount credited towards the invoice in minor currency units

issuedOnstring(date)

The date the invoice was issued to the merchant.

dueDatestring(date)required

The date the invoice is due for payment.

merchantIdstringrequired

System unique identifier for the merchant issued the invoice.

merchantBusinessNamestringrequired

Business name for the merchant issued the invoice.

statusstring(MerchantInvoiceStatus)required

Status of the invoice.

Enum"draft""outstanding""overdue""accepted""paid""cancelled"
summarystringrequired

Summary of the contents of the invoice.

createdAtstring(date-time)required

When the invoice was created.

]
Response
application/json
[ { "invoiceId": "minv_aZ-9V_KvllCPqGs_", "invoiceReference": "fCRLRpvIhvCC9Fkz", "currency": "string", "invoiceStartDate": "2019-08-24", "invoiceEndDate": "2019-08-24", "invoiceAmount": 0, "paidAmount": 0, "issuedOn": "2019-08-24", "dueDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "status": "draft", "summary": "string", "createdAt": "2019-08-24T14:15:22Z" } ]

Get Merchant Invoice Details

Request

Return an aggregated breakdown of the money movements included in the invoice along with billing details.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Path
invoiceIdstringrequired
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
summaryobject(MerchantInvoiceSummary)required

Basic summary of the invoice, as you would get when querying invoices.

summary.​invoiceIdstringrequired

System unique identifier for the invoice.

summary.​invoiceReferencestringrequired

Unique reference for this invoice that can be included on manually generated payments.

summary.​currencystringrequired

The currency of the invoice as a 3 letter ISO code.

summary.​invoiceStartDatestring(date)required

The start of the date range included in the invoice.

summary.​invoiceEndDatestring(date)required

The end of the date range included in the invoice.

summary.​invoiceAmountinteger(int64)required

The invoice amount in minor currency units

summary.​paidAmountinteger(int64)required

The amount credited towards the invoice in minor currency units

summary.​issuedOnstring(date)

The date the invoice was issued to the merchant.

summary.​dueDatestring(date)required

The date the invoice is due for payment.

summary.​merchantIdstringrequired

System unique identifier for the merchant issued the invoice.

summary.​merchantBusinessNamestringrequired

Business name for the merchant issued the invoice.

summary.​statusstring(MerchantInvoiceStatus)required

Status of the invoice.

Enum"draft""outstanding""overdue""accepted""paid""cancelled"
summary.​summarystringrequired

Summary of the contents of the invoice.

summary.​createdAtstring(date-time)required

When the invoice was created.

billingDetailsobject(MerchantInvoiceBillingDetails)required
billingDetails.​businessNamestringrequired
billingDetails.​taxIdstringrequired
billingDetails.​billingEmailAddressstringrequired
billingDetails.​billingPhoneNumberstringrequired
billingDetails.​billingAddressobject(MerchantInvoiceBillingAddress)required
billingDetails.​billingAddress.​line1stringrequired
billingDetails.​billingAddress.​line2string
billingDetails.​billingAddress.​citystring
billingDetails.​billingAddress.​statestring
billingDetails.​billingAddress.​postalCodestringrequired
billingDetails.​billingAddress.​countrystringrequired
paymentMethodCardPaymentMethod (object) or DirectDebitPaymentMethod (object) or PayToPaymentMethod (object)(TransactionPaymentMethod)
One of:
summaryItemsArray of objects(MerchantInvoiceSummaryItem)
timelinesArray of objects(MerchantInvoiceTimeLine)
manualPaymentDetailsobject(ManualPaymentDetails)
Response
application/json
{ "summary": { "invoiceId": "minv_aZ-9V_KvllCPqGs_", "invoiceReference": "fCRLRpvIhvCC9Fkz", "currency": "string", "invoiceStartDate": "2019-08-24", "invoiceEndDate": "2019-08-24", "invoiceAmount": 0, "paidAmount": 0, "issuedOn": "2019-08-24", "dueDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "status": "draft", "summary": "string", "createdAt": "2019-08-24T14:15:22Z" }, "billingDetails": { "businessName": "string", "taxId": "string", "billingEmailAddress": "lucy.diamond@star.com", "billingPhoneNumber": "+61401234567", "billingAddress": {} }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": {}, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "summaryItems": [ {} ], "timelines": [ {} ], "manualPaymentDetails": { "token": "string", "magicLink": "string", "orderId": "ordr_aZ-9UfKvllCPqGsd" } }

Get Merchant Invoice Pdf

Request

Return a PDF of the merchant invoice intended to be sent to the payer merchant.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Path
invoiceIdstringrequired
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}/pdf' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Headers
Content-Typestringrequired
Content-Dispositionstringrequired
Bodyapplication/pdf
string(binary)
Response
No content

Query Settlement Entries

Request

Return a paginated list of all settlement entries matching the given search criteria. If payoutId is not specified, currency, createdAfter and createdBefore must all be provided.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

merchantIdstringrequired

System identifier for merchant to show entries for

currencystring(IsoCurrency)

Currency of entries

Enum"AFN""DZD""ARS""AMD""AWG""AUD""AZN""BSD""BHD""THB"
Example: currency=AUD
createdAfterstring(date-time)

Return settlement entries that were created at or after this timestamp in ISO-8601 format

Example: createdAfter=2026-02-26T03:26:15.711628426Z
createdBeforestring(date-time)

Return settlement entries that were created at or before this timestamp in ISO-8601 format

settlementTypestring(SettlementType)

Include both payment and fee entries (Net) or just payment entries (Gross).

Default "Net"
Enum"Net""Gross"
payoutIdstring

Filter by payout identifier

invoiceIdstring

Filter by merchant invoice identifier

curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/settlement?limit=0&page=0&sort=string&merchantId=string&currency=AUD&createdAfter=2026-02-26T03%3A26%3A15.711628426Z&createdBefore=2019-08-24T14%3A15%3A22Z&settlementType=Net&payoutId=string&invoiceId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/json
currencystringrequired

ISO 4217 3 Digits Currency code

itemsArray of objects(SettlementReportEntry)
totalPagesinteger(int64)required
totalRecordsinteger(int64)required
platformFeesInclTaxinteger(int64)required
platformFeesTaxinteger(int64)required
netAmountinteger(int64)required
grossAmountinteger(int64)required
payoutSummaryobject(PayoutSummary1)
createdstring(date-time)required
Response
application/json
{ "currency": "string", "items": [ {} ], "totalPages": 0, "totalRecords": 0, "platformFeesInclTax": 0, "platformFeesTax": 0, "netAmount": 0, "grossAmount": 0, "payoutSummary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "activeFrom": "2019-08-24T14:15:22Z", "activeTo": "2019-08-24T14:15:22Z", "paidOn": "2019-08-24", "status": "created", "settlementType": "Net", "failureReason": "string", "openingBalance": 0, "closingBalance": 0, "payoutAmount": 0 }, "created": "2019-08-24T14:15:22Z" }

Report Settlement Entries

Request

Return a list of all settlement entries matching the given search criteria. If payoutId is not specified, currency, createdAfter and createdBefore must all be provided. Use Accept request header to specify either application/json or text/csv responses. The JSON variant includes an aggregated summary of the matching entries.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
columnArray of strings(SettlementCsvColumn)

List of columns to include in the report. If not specified, default column list is used.

Items Enum"CardHolderName""CardNumber""EntryDate""EntryTimestamp""EntryType""EntryDescription""SettlementDate""TransactionType""OrderType""OrderId"
merchantIdstringrequired

System identifier for merchant to show entries for

currencystring(IsoCurrency)

Currency of entries

Enum"AFN""DZD""ARS""AMD""AWG""AUD""AZN""BSD""BHD""THB"
Example: currency=AUD
createdAfterstring(date-time)

Return settlement entries that were created at or after this timestamp in ISO-8601 format

Example: createdAfter=2026-02-26T03:26:15.711628426Z
createdBeforestring(date-time)

Return settlement entries that were created at or before this timestamp in ISO-8601 format

settlementTypestring(SettlementType)

Include both payment and fee entries (Net) or just payment entries (Gross).

Default "Net"
Enum"Net""Gross"
payoutIdstring

Filter by payout identifier

invoiceIdstring

Filter by merchant invoice identifier

curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/settlement/report?column=CardHolderName&merchantId=string&currency=AUD&createdAfter=2026-02-26T03%3A26%3A15.711628426Z&createdBefore=2019-08-24T14%3A15%3A22Z&settlementType=Net&payoutId=string&invoiceId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Body
currencystringrequired

ISO 4217 3 Digits Currency code

itemsArray of objects(SettlementReportEntry)
totalPagesinteger(int64)required
totalRecordsinteger(int64)required
platformFeesInclTaxinteger(int64)required
platformFeesTaxinteger(int64)required
netAmountinteger(int64)required
grossAmountinteger(int64)required
payoutSummaryobject(PayoutSummary1)
createdstring(date-time)required
Response
{ "currency": "string", "items": [ {} ], "totalPages": 0, "totalRecords": 0, "platformFeesInclTax": 0, "platformFeesTax": 0, "netAmount": 0, "grossAmount": 0, "payoutSummary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "activeFrom": "2019-08-24T14:15:22Z", "activeTo": "2019-08-24T14:15:22Z", "paidOn": "2019-08-24", "status": "created", "settlementType": "Net", "failureReason": "string", "openingBalance": 0, "closingBalance": 0, "payoutAmount": 0 }, "created": "2019-08-24T14:15:22Z" }

Query Disputes

Request

Return a paginated list of all disputes matching the given search criteria.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

merchantIdstring

Filter by merchant identifier

customerEmailAddressstring

Filter by customer email address

referenceOrderIdstring

Filter by reference order id

orderIdArray of strings

Filter by order identifier

transactionIdArray of strings

Filter by transaction identifier

currencystring

Currency of entries

Example: currency=AUD
curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/disputes?limit=0&page=0&sort=string&merchantId=string&customerEmailAddress=string&referenceOrderId=string&orderId=string&transactionId=string&currency=AUD' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Matching items sorted as specified

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/jsonArray [
disputeIdstringrequired

System unique identifier for the dispute.

transactionIdstringrequired

System unique identifier for the transaction that is being disputed.

currencystringrequired

The currency of the transaction and dispute as a 3 letter ISO code.

disputedAmountinteger(int64)required

The disputed amount in minor currency units

disputeFeeinteger(int64)required

The dispute fee charged to the merchant in minor currency units

transactionAmountinteger(int64)required

The full transaction amount in minor currency units

orderIdstringrequired

System unique identifier for the order corresponding to the disputed payment.

referenceOrderIdstringrequired

A reference provided by the merchant to identify this order, such as an order number.

descriptionstring

A free text description of the order.

orderMetadataobject(JsonObject)

Metadata passed in when creating the order.

customerIdstring

System unique identifier for the customer.

customerEmailAddressstring

Email address of the customer.

customerNamestring

Full name of the customer.

customerPhoneNumberstring

Phone number of the customer.

statestring

The internal state of the dispute as reported by the underlying payment system.

reasonstring

The reason provided by the customer for raising the dispute.

outcomestring(DisputeOutcome)

The state of the dispute.

Enum"pending""won""lost"
updatedAtstring(date-time)required

When the dispute was last updated.

createdAtstring(date-time)required

When the dispute was created.

]
Response
application/json
[ { "disputeId": "dispute_aZ-9UfKvllCPqGsg", "transactionId": "tran_aZ-9UfKvllCPqGsc", "currency": "AUD", "disputedAmount": 0, "disputeFee": 0, "transactionAmount": 0, "orderId": "ordr_aZ-9UfKvllCPqGsd", "referenceOrderId": "ORD-12411", "description": "string", "orderMetadata": {}, "customerId": "cust_aZ-9UfKvllCPqGsa", "customerEmailAddress": "lucy.diamond@star.com", "customerName": "string", "customerPhoneNumber": "+61401234567", "state": "string", "reason": "string", "outcome": "pending", "updatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]

Query Refunds

Request

Return a paginated list of matching refunds.

Security
Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT
Query
limitinteger(int32)

Maximum results per page. Default to 20, must be between 1 and 500.

pageinteger(int32)

Page number of results to show (starting at page 1).

sortstring

Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.

createdAfterstring(date-time)

Return transactions that were created at or after this timestamp in ISO-8601 format. Defaults to 30 days ago.

Example: createdAfter=2026-02-26T03:26:15.702345652Z
createdBeforestring(date-time)

Return transactions that were created at or before this timestamp in ISO-8601 format. Defaults to now.

amountinteger(int64)

Amount of the refund in minor currency units

referenceOrderIdstring

Filter by reference order id

orderIdArray of strings

Filter by order identifier

customerIdArray of strings

Filter by customer identifier

merchantIdArray of strings

Filter by merchant identifier

transactionIdArray of strings

Filter by transaction identifier

curl -i -X GET \
  'https://api.sandbox.au.meetapril.io/transactions/refunds?limit=0&page=0&sort=string&createdAfter=2026-02-26T03%3A26%3A15.702345652Z&createdBefore=2019-08-24T14%3A15%3A22Z&amount=0&referenceOrderId=string&orderId=string&customerId=string&merchantId=string&transactionId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Matching items sorted as specified

Headers
Page-Countinteger(int64)required

Total count of pages available for current query.

Total-Record-Countinteger(int64)required

Total number of records matching the query.

Bodyapplication/jsonArray [
refundIdstringrequired

System unique identifier for the refund.

transactionIdstringrequired

System unique identifier for the transaction representing this payment.

transactionAmountobject(CurrencyAmount)required

The full transaction amount.

transactionAmount.​minorCurrencyUnitsinteger(int64)required

The amount in minor currency units (e.g. cents for AUD).

transactionAmount.​currencystringrequired

The currency of the given amount as a 3 letter ISO code.

orderIdstringrequired

System unique identifier for the order.

referenceOrderIdstringrequired

A reference provided by the merchant to identify this order, such as an order number.

descriptionstring

A free text description of the order.

orderMetadataobject(JsonObject)

Metadata passed in when creating the order.

customerIdstring

System unique identifier for the customer.

customerEmailAddressstring

Email address of the customer.

customerNamestring

Full name of the customer.

customerPhoneNumberstring

Phone number of the customer.

amountobject(IsoCurrencyAmount)required

The refunded amount in minor currency units

amount.​minorCurrencyUnitsinteger(int64)required

The amount in minor currency units (e.g. cents for AUD).

amount.​currencystringrequired

The currency of the given amount as a 3 letter ISO code.

payoutIdstring

System unique identifier for the payout this refund was included in.

settlementDatestring(date)

When the payout this refund was included in will be settled.

refundedAtstring(date-time)required

When the refund was issued.

refundIssuedBystring

Who issued the refund.

]
Response
application/json
[ { "refundId": "rfnd_aZ-9U_KvllCPqGsr", "transactionId": "tran_aZ-9UfKvllCPqGsc", "transactionAmount": {}, "orderId": "ordr_aZ-9UfKvllCPqGsd", "referenceOrderId": "ORD-12411", "description": "string", "orderMetadata": {}, "customerId": "cust_aZ-9UfKvllCPqGsa", "customerEmailAddress": "lucy.diamond@star.com", "customerName": "string", "customerPhoneNumber": "+61401234567", "amount": {}, "payoutId": "payout_aZ-9UvKvllCPqGsl", "settlementDate": "2019-08-24", "refundedAt": "2019-08-24T14:15:22Z", "refundIssuedBy": "string" } ]

Marketplaces

A B2B2C setup where an entity with business customers (sub-merchants) uses Spenda to facilitate payments for their customers' customers.

Operations

Webhooks

Webhooks are a mechanism where merchants and marketplaces can register an endpoints against one or more events. When these events occur, a POST HTTP request is made to the registered endpoint with the event details.

  • GET /webhooks Return a paginated list of matching webhook subscriptions
  • POST /webhooks Create a new webhook subscription
  • GET /webhooks/{id} Return details of a webhook subscription
  • PATCH /webhooks/{id} Update an existing webhook subscription
Operations

Loans

Loans are payment products where credit is extended by a loan facility to a borrower. The borrower can be either an individual or a business depending on the loan product in question.

Operations

Card issuer

Endpoints related to the issuing of digital cards, typically associated with a trade account based loan.

Operations

PayTo

Operations